<?php
function template_init()
{
	global $context, $settings, $options, $txt;

	/* Use images from default theme when using templates from the default theme?
		if this is 'always', images from the default theme will be used.
		if this is 'defaults', images from the default theme will only be used with default templates.
		if this is 'never' or isn't set at all, images from the default theme will not be used. */
	$settings['use_default_images'] = 'never';

	/* What document type definition is being used? (for font size and other issues.)
		'xhtml' for an XHTML 1.0 document type definition.
		'html' for an HTML 4.01 document type definition. */
	$settings['doctype'] = 'xhtml';
}

// The main sub template above the content.
function template_main_above()
{
	global $context, $settings, $options, $scripturl, $txt, $modSettings;
	
//	header("Content-Type: text/html; charset=windows-1251");
	// Show right to left and the character set for ease of translating.
	echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en"><head>
	<meta http-equiv="Content-Type" content="text/html; charset=', $context['character_set'], '" />
	<meta name="description" content="', $context['page_title'], '" />
	<meta name="keywords" content="рок, метал, форум, rock, metal, punk, русский рок, forum" />
	<meta http-equiv="Content-Style-Type" content="text/css" />
	<meta http-equiv="Content-Script-Type" content="text/javascript" />
	<script type="text/javascript" src="http://yandex.st/jquery/1.6.1/jquery.js"></script>
	<script language="JavaScript" type="text/javascript" src="http://yandex.st/jquery/cookie/1.0/jquery.cookie.min.js"></script>
	<script language="JavaScript" type="text/javascript" src="', $settings['default_theme_url'], '/script.js"></script>
	<script type="text/javascript" src="http://rock.ru/ads/www/delivery/spcjs.php?id=1"></script>
	<script type="text/javascript" src="http://img.rock.ru/js/bar.minified.js"></script>
	<link type="text/css" href="http://img.rock.ru/css/bar/default/jx.stylesheet.css" rel="stylesheet" />


	<script language="JavaScript" type="text/javascript"><!--
		var smf_theme_url = "', $settings['theme_url'], '";
		var smf_script_url = "', $scripturl, '";
		var smf_images_url = "', $settings['images_url'], '";
		var sesc = "', $context['session_id'] ,'";
		var is_guest = "', $context['user']['is_guest'],'";
		var current_header = ', empty($options['collapse_header']) ? 'false' : 'true' ,';
		function vk_click() {u=location.href;t=document.title;window.open(\'http://vkontakte.ru/share.php?url=\'+encodeURIComponent(u)+\'&t=\'+encodeURIComponent(t),\'sharer\',\'toolbar=0,status=0,width=626,height=436\');return false;}
		function fbs_click() {u=location.href;t=document.title;window.open(\'http://www.facebook.com/sharer.php?u=\'+encodeURIComponent(u)+\'&t=\'+encodeURIComponent(t),\'sharer\',\'toolbar=0,status=0,width=626,height=436\');return false;}

	// --></script>';
	echo '
	<title>', $context['page_title'], '</title>';

	// This is here because Gecko browsers properly support white-space....
	if ($context['browser']['is_gecko'])
		echo '
	<style type="text/css"><!--
		.code
		{
			white-space: pre;
		}
	--></style>';
	
	if ($options['style_width'] == 'liquid' OR isset($_COOKIE['style_width']) AND $_COOKIE['style_width'] == 'liquid') {
		$style_width = "style.liquid.css";
	} else {
		$style_width = "style.fixed.css";
	}

	echo '
	<link id="style-width" rel="stylesheet" type="text/css" href="', $settings['theme_url'], '/' . $style_width .'" />';

	// Show all the relative links, such as help, search, contents, and the like.
	echo '
	<link rel="help" href="', $scripturl, '?action=help" target="_blank" />
	<link rel="search" href="' . $scripturl . '?action=search" />
	<link rel="contents" href="', $scripturl, '" />';

	// If we're viewing a topic, these should be the previous and next topics, respectively.
	// Also, we need jquery here (we don't need it on other pages yet, so let it be here).
	if (!empty($context['current_topic']))
		echo '
	<link rel="prev" href="' . $scripturl . '?action=;topic=' . $context['current_topic'] . '.0;prev_next=prev" />
	<link rel="next" href="' . $scripturl . '?action=;topic=' . $context['current_topic'] . '.0;prev_next=next" />
        <script language="JavaScript" type="text/javascript" src="http://rock.ru/forum/markitup/jquery.markitup.js"></script>
        <script type="text/javascript" src="http://rock.ru/forum/markitup/sets/bbcode/set.js"></script>
        <link rel="stylesheet" type="text/css" href="http://rock.ru/forum/markitup/skins/markitup/style.css" />
        <link rel="stylesheet" type="text/css" href="http://rock.ru/forum/markitup/sets/bbcode/style.css" />
        <link rel="alternate" type="application/rss+xml" title="Новые сообщения в теме" href="http://rock.ru/forum/yarss.php?topic=' . $context['current_topic'] . '" />';


	// If we're in a board, or a topic for that matter, the index will be the board's index.
	if (!empty($context['current_board'])) {
		echo '
	<link rel="index" href="' . $scripturl . '?action=;board=' . $context['current_board'] . '.0" />
	<link rel="alternate" type="application/rss+xml" title="Новые темы в разделе" href="http://rock.ru/forum/yarss.php?forum=' . $context['current_board'] . '" />';
	}

	// We'll have to use the cookie to remember the header...
	if ($context['user']['is_guest']) {
		echo '
	<script type="text/javascript">
		document.write(\'<sc\'+\'ript type="text/javascript" src="http://an.yandex.ru/system/context.js"></sc\'+\'ript>\');
	</script>';
		$options['collapse_header'] = !empty($_COOKIE['upshrink']);
	}

	// Output any remaining HTML headers. (from mods, maybe?)
	echo $context['html_headers']; 
?>
<script type="text/javascript">

  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', 'UA-883600-3']);
  _gaq.push(['_setDomainName', '.rock.ru']);
  _gaq.push(['_trackPageview']);

  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();

</script>
<?
	echo '
	</head>';
?>
<body>
<div id="wrapper">
<?
	// Because of the way width/padding are calculated, we have to tell Internet Explorer 4 and 5 that the content should be 100% wide. (or else it will assume about 108%!)
	echo '
	<div id="headerarea" style="padding: 12px 30px 4px 30px;', $context['browser']['needs_size_fix'] && !$context['browser']['is_ie6'] ? ' width: 100%;' : '', '">';

	// The logo and the three info boxes.
	echo '
		<table cellspacing="0" cellpadding="0" border="0" align="center" width="100%">
			<tr>
				<td valign="bottom" style="padding: 5px; white-space: nowrap;">';

	// This part is the logo and forum name.  You should be able to change this to whatever you want...
	echo '
				<a href="http://www.rock.ru/"><img src="', $settings['images_url'], '/logo.gif" width="198" height="76" alt="На главную страница форума" border="0" /></a>';

	echo '
				</td>
				<td style="text-align:center; font-weight:bold;">
					<a href="http://rock.ru/">Главная</a> - <a href="http://rock.ru/news.shtml">Новости</a> - <a href="http://lyrics.rock.ru/">Тексты&nbsp;песен</a> - <a href="http://rock.ru/reviews.shtml">Рецензии</a> - <a href="http://rock.ru/chat/">Чат</a> - <a href="http://www.mp3sale.ru/?pid=183">Mp3</a> - <a href="http://photo.rock.ru/">Хостинг для картинок</a> - <a href="http://ru.miheev.info/rockru/">Блог</a><br />

<div style="text-align: center;"> ';
?>
<script type='text/javascript'><!--//<![CDATA[
   var m3_u = (location.protocol=='https:'?'https://rock.ru/ads/www/delivery/ajs.php':'http://rock.ru/ads/www/delivery/ajs.php');
   var m3_r = Math.floor(Math.random()*99999999999);
   if (!document.MAX_used) document.MAX_used = ',';
   document.write ("<scr"+"ipt type='text/javascript' src='"+m3_u);
   document.write ("?zoneid=1");
   document.write ('&amp;cb=' + m3_r);
   if (document.MAX_used != ',') document.write ("&amp;exclude=" + document.MAX_used);
   document.write (document.charset ? '&amp;charset='+document.charset : (document.characterSet ? '&amp;charset='+document.characterSet : ''));
   document.write ("&amp;loc=" + escape(window.location));
   if (document.referrer) document.write ("&amp;referer=" + escape(document.referrer));
   if (document.context) document.write ("&context=" + escape(document.context));
   if (document.mmm_fo) document.write ("&amp;mmm_fo=1");
   document.write ("'><\/scr"+"ipt>");
//]]>--></script><noscript><a href='http://rock.ru/ads/www/delivery/ck.php?n=ae733e87&amp;cb=<?=rand()?>' target='_blank'><img src='http://rock.ru/ads/www/delivery/avw.php?zoneid=1&amp;cb=<?=rand()?>&amp;n=ae733e87' border='0' alt='' /></a></noscript>
<?
	echo '</div>
				</td>
			</tr>
			<tr id="upshrinkHeader"', empty($options['collapse_header']) ? '' : ' class="hidden"', '>
				<td valign="top" colspan="2">
					<div class="headertitles" style="margin: 12px 5px 0 0;">', /*<img src="', $settings['images_url'], '/blank.gif" height="12" alt="" />*/ '</div>
					<div class="headerbodies" style="margin-right: 5px;',/* background-image: url(', $settings['images_url'], '/box_bg.gif);*/'">
						<img src="', $settings['images_url'], '/', $context['user']['language'], '/userinfo.gif" style="position: absolute; left: ', $context['browser']['is_ie5'] || $context['browser']['is_ie4'] ? '0' : '-1px', '; top: -16px; clear: both;" alt="" />
						<table width="99%" cellpadding="0" cellspacing="5" border="0"><tr>';

	if (!empty($context['user']['avatar']))
		echo '<td valign="middle">', $context['user']['avatar']['image'], '</td>';

	echo '<td width="100%" valign="top" class="smalltext" style="font-family: verdana, arial, sans-serif;">';

	// If the user is logged in, display stuff like their name, new messages, etc.
	if ($context['user']['is_logged'])
	{
		echo '
							', $txt['hello_member'], ' <strong>', $context['user']['name'], '</strong>';

		// Only tell them about their messages if they can read their messages!
		if ($context['allow_pm'])
			echo ', ', $txt[152], ' <a href="', $scripturl, '?action=pm">', $context['user']['messages'], ' ', $context['user']['messages'] != 1 ? $txt[153] : $txt[471], '</a>', $txt['newmessages4'], ' ', $context['user']['unread_messages'], ' ', $context['user']['unread_messages'] == 1 ? $txt['newmessages0'] : $txt['newmessages1'];
		echo '.';

		// Is the forum in maintenance mode?
		if ($context['in_maintenance'] && $context['user']['is_admin'])
			echo '<br />
							<strong>', $txt[616], '</strong>';
		if (isset($context['user']['awaiting_mod']))
			echo '<br />' . $context['user']['awaiting_mod'];


		// Are there any members waiting for approval?
		if (!empty($context['unapproved_members']))
			echo '<br />
							', $context['unapproved_members'] == 1 ? $txt['approve_thereis'] : $txt['approve_thereare'], ' <a href="', $scripturl, '?action=regcenter">', $context['unapproved_members'] == 1 ? $txt['approve_member'] : $context['unapproved_members'] . ' ' . $txt['approve_members'], '</a> ', $txt['approve_members_waiting'];

		// Show the total time logged in?
		if (!empty($context['user']['total_time_logged_in']))
		{
			echo '
							<br />', $txt['totalTimeLogged1'];

			// If days is just zero, don't bother to show it.
			if ($context['user']['total_time_logged_in']['days'] > 0)
				echo $context['user']['total_time_logged_in']['days'] . $txt['totalTimeLogged2'];

			// Same with hours - only show it if it's above zero.
			if ($context['user']['total_time_logged_in']['hours'] > 0)
				echo $context['user']['total_time_logged_in']['hours'] . $txt['totalTimeLogged3'];

			// But, let's always show minutes - Time wasted here: 0 minutes ;).
			echo $context['user']['total_time_logged_in']['minutes'], $txt['totalTimeLogged4'];
		}

		echo '<br />
							<a href="', $scripturl, '?action=unread">', $txt['unread_since_visit'], '</a><br />
							<a href="', $scripturl, '?action=unreadreplies">', $txt['show_unread_replies'], '</a><br />
							', $context['current_time'];
	}
	// Otherwise they're a guest - so politely ask them to register or login.
	else
	{
		echo '
							', $txt['welcome_guest'], '<br />
							', $context['current_time'], '<br />

							<form action="', $scripturl, '?action=login2" method="post" style="margin: 3px 1ex 1px 0; text-align:right;">
								<input title="Имя" type="text" name="user" size="10" /> <input title="Пароль" type="password" name="passwrd" size="10" />
								<select title="Помнить меня" name="cookielength">
									<option value="60">', $txt['smf53'], '</option>
									<option value="1440">', $txt['smf47'], '</option>
									<option value="10080">', $txt['smf48'], '</option>
									<option value="302400">', $txt['smf49'], '</option>
									<option value="-1" selected="selected">', $txt['smf50'], '</option>
								</select>
								<input title="', $txt[34], '" type="submit" value="', $txt[34], '" /><br />
								', $txt['smf52'], '
							</form>';
	}
	
	// css and jquery black magic: stylesheet switcher
	echo '
			<div>
			Вид форума: <a href="#" id="a-liquid">широкий</a> <a id="a-fixed" href="#">узкий</a>

			</div>';
		

	echo '
						</td></tr></table>
					</div>

					<form action="', $scripturl, '" method="get" style="margin: 0; margin-top: 7px;">
						<input type="hidden" name="action" value="qsearch" />
						<label for="i-search" class="b">', $txt[182], ': </label><input id="i-search" type="text" name="search" value="" style="width: 190px;" />&nbsp;
						<input type="submit" name="submit" value="', $txt[182], '" style="width: 8ex;" />&nbsp;
						<a href="', $scripturl, '?action=search;advanced">', $txt['smf298'], '</a>';

	// If we're on a certain board, limit it to this board ;).
	if (!empty($context['current_board']))
		echo '
						<input type="hidden" name="brd[', $context['current_board'], ']" value="', $context['current_board'], '" />';

	echo '
					</form>

				</td>
			</tr>
		</table>

		<a href="#" onclick="shrinkHeader(!current_header); return false;"><img id="upshrink" src="', $settings['images_url'], '/', empty($options['collapse_header']) ? 'upshrink.gif' : 'upshrink2.gif', '" alt="*" title="', $txt['upshrink_description'], '" style="margin: 2px 0;" border="0" /></a>';//<img id="upshrinkTemp" src="', $settings['images_url'], '/blank.gif" alt="" style="margin-right: 2ex;" />';

		// Show the menu here, according to the menu sub template.
		template_menu();

	echo '
	</div>';
	

	// The main content should go here.  A table is used because IE 6 just can't handle a div.
	echo '
	<table width="100%" cellpadding="0" cellspacing="0" border="0"><tr>
		<td id="bodyarea" style="padding: 1ex 20px 2ex 20px;">';
}

function template_main_below()
{
	global $context, $settings, $options, $scripturl, $txt;

	echo '</td>
	</tr></table>';

	// Show the "Powered by" and "Valid" logos, as well as the copyright.  Remember, the copyright must be somewhere!
	echo '

	<div id="footerarea" style="text-align: center; padding-bottom: 1ex;', $context['browser']['needs_size_fix'] && !$context['browser']['is_ie6'] ? ' width: 100%;' : '', '">';
	echo '
		<script language="JavaScript" type="text/javascript"><!--
			function smfFooterHighlight(element, value)
			{
				element.src = smf_images_url + "/" + (value ? "h_" : "") + element.id + ".gif";
			}
		// --></script>
		<table cellspacing="0" cellpadding="3" border="0" align="center" width="100%">
			<tr>
				<td valign="middle" align="center" style="white-space: nowrap;">
					', theme_copyright(), '
				</td>
			</tr>
		</table>';

	// Show the load time?
	if ($context['show_load_time'])
		echo '
		<span class="smalltext">', $txt['smf301'], $context['load_time'], $txt['smf302'], $context['load_queries'], $txt['smf302b'], '</span>';

	echo '
		</div>';

	// This is an interesting bug in Internet Explorer AND Safari.  Rather annoying, it makes overflows just not tall enough.
	if ($context['browser']['is_ie'] && !$context['browser']['is_ie4'] || $context['browser']['is_mac_ie'] || $context['browser']['is_safari'])
	{
		// The purpose of this code is to fix the height of overflow: auto div blocks, because IE can't figure it out for itself.
		echo '
		<script language="JavaScript" type="text/javascript"><!--';

		// Unfortunately, Safari does not have a "getComputedStyle" implementation yet, so we have to just do it to code...
		if ($context['browser']['is_safari'])
			echo '
			window.addEventListener("load", smf_codeFix, false);

			function smf_codeFix()
			{
				var codeFix = document.getElementsByTagName ? document.getElementsByTagName("div") : document.all.tags("div");

				for (var i = 0; i < codeFix.length; i++)
				{
					if (codeFix[i].className == "code" && codeFix[i].offsetHeight < 20)
						codeFix[i].style.height = (codeFix[i].offsetHeight + 20) + "px";
				}
			}';
		else
		{
			echo '
			var window_oldOnload = window.onload;
			window.onload = smf_codeFix;

			function smf_codeFix()
			{
				var codeFix = document.getElementsByTagName ? document.getElementsByTagName("div") : document.all.tags("div");

				for (var i = 0; i < codeFix.length; i++)
				{
					if (codeFix[i].currentStyle.overflow == "auto" && (codeFix[i].currentStyle.height == "" || codeFix[i].currentStyle.height == "auto") && (codeFix[i].scrollWidth > codeFix[i].clientWidth || codeFix[i].clientWidth == 0))
						codeFix[i].style.height = (codeFix[i].offsetHeight + 36) + "px";
				}

				if (window_oldOnload)
					window_oldOnload();
			}';
		}

		echo '
		// --></script>';
	}
	echo '
	<div align="center">
        <a href="http://top100.rambler.ru/top100/"><img src="http://counter.rambler.ru/top100.cnt?259915" alt="Rambler&apos;s Top100" width="1" height="1" border="0" /></a>
	<a href="http://top100.rambler.ru/top100/"><img src="http://top100-images.rambler.ru/top100/banner-88x31-rambler-black2.gif" alt="Rambler&apos;s Top100" width="88" height="31" border="0" /></a>
	<a href="http://musiccounter.ru"><img alt="MusicCounter" src="http://musiccounter.ru/hit.pl?id=3501&amp;style=3&amp;rnd=3125456" height="31" width="88" border="0" /></a>';
?>
<!--LiveInternet counter--><script type="text/javascript"><!--
document.write("<a href='http://www.liveinternet.ru/click' "+
"target=_blank><img src='//counter.yadro.ru/hit?t20.6;r"+
escape(document.referrer)+((typeof(screen)=="undefined")?"":
";s"+screen.width+"*"+screen.height+"*"+(screen.colorDepth?
screen.colorDepth:screen.pixelDepth))+";u"+escape(document.URL)+
";h"+escape(document.title.substring(0,80))+";"+Math.random()+
"' alt='' title='LiveInternet: показано число просмотров за 24"+
" часа, посетителей за 24 часа и за сегодня' "+
"border='0' width='88' height='31'><\/a>")
//--></script><!--/LiveInternet-->
<?
	echo '
	</div>
	</div>';

	// Here's some new code
		echo '
	<script type="text/javascript">';

	if (!empty($context['current_topic'])) 
		echo '
		$("td.buttons img").css("opacity", 0);
		$("table.message-container").mouseenter(function () {
			$("td.buttons img", this).css("opacity", 1);
		});
		$("table.message-container").mouseleave(function () {
			$("td.buttons img", this).css("opacity", 0);
		});';
	
	echo '
   		$(document).ready(function() {';
        if (!empty($context['current_topic'])) 
		echo '
			$("#markItUp").markItUp(mySettings);';
	echo '
			$("#a-fixed").bind(
				"click",
				function (e) {
					$("link#style-width").attr("href","http://rock.ru/forum/Themes/default/style.fixed.css");
					$.cookie("style_width", "fixed");
					return false;
				}
			);
			$("#a-liquid").bind(
				"click",
				function (e) {
					$("link#style-width").attr("href","http://rock.ru/forum/Themes/default/style.liquid.css");
					$.cookie("style_width", "liquid");
					return false;
				}
			);
			$("#demo-bar").jixedbar();
			$("#vks").click(function() {
				return vk_click();
			});
			$("#fbs").click(function() {
				return fbs_click();
			});
                });
	</script>';
?>
<div id="demo-bar">
        <ul>
            <li title="Главная страница"><a href="http://rock.ru/"><img src="/favicon.gif" alt="" /></a></li>
        </ul>

        <span class="jx-separator-left"></span>
<? /*
	<ul>        
            <li title="Наши группы"><a href="#">&nbsp;</a>
                <ul>
                    <li><a href="http://www.facebook.com/ryanyonzon"><img src="icons/facebook.png" title="Facebook" />&nbsp;&nbsp;&nbsp;Facebook</a></li>
                    <li><a href="http://twitter.com/rawswift"><img src="icons/twitter.png" title="Twitter" />&nbsp;&nbsp;&nbsp;Twitter</a></li>
                    <li><a href="http://www.flickr.com/photos/ryanyonzon/"><img src="icons/pictures.png" title="Flickr" />&nbsp;&nbsp;&nbsp;Flickr</a></li>
                    <li><a href="http://vkontakte.ru/rockru"><img src="icons/card.png" title="Linkedin" />&nbsp;&nbsp;&nbsp;Вконтакте</a></li>
                </ul>
            </li>
        </ul>
        <span class="jx-separator-left"></span>
*/?>
        <ul>

            <li title="Поделиться ссылкой в Facebook"><a id="fbs" href="#"><img src="/images/facebook.png" alt="" /></a></li>
            <li title="Поделиться ссылкой Вконтакте"><a id="vks" href="#"><img src="/images/vk.png" alt="" /></a></li>
        </ul>
        <span class="jx-separator-left"></span>        
	<div class="text-container">
		<form method="get" action="http://rock.ru/forum/index.php">
			<input type="hidden" name="action" value="qsearch">
			<label for="search-bar">Поиск:</label><input name="search" style="font-size: 11px; height: 12px;" type="text" id="search-bar" /></form>
	</div>
<?
	if (! $context['user']['is_guest']) {
?>
        <ul class="jx-bar-button">
			<li title="Новые сообщения в темах, в которые Вы писали"><a href="http://rock.ru/forum/index.php?action=unreadreplies"><img src="http://img.rock.ru/images/reply.png" alt="" />Новые ответы</a>
			</li>
        </ul>

        <ul class="jx-bar-button-right">
			<li title="Личные сообщения"><a href="http://rock.ru/forum/index.php?action=pm"><img src="http://img.rock.ru/images/mail.png" alt="" />(<?=$context['user']['unread_messages']?> новых)</a>
			</li>
        </ul>

	<span class="jx-separator-right"></span>
<?
	}
?>
        <ul class="jx-bar-button-right">
			<li title="Людей в чате: <?=$context['people_in_chat']?>"><a href="http://rock.ru/chat/"><img src="http://img.rock.ru/images/chat.png" alt="" />Чат</a>
			</li>
        </ul>

        <span class="jx-separator-right"></span>
</div>
<?
	echo '
	</body>
</html>';
}

// Show a linktree.  This is that thing that shows "My Community | General Category | General Discussion"..
function theme_linktree()
{
	global $context, $settings, $options;

	// Folder style or inline?  Inline has a smaller font.
	echo '<span class="nav"', $settings['linktree_inline'] ? ' style="font-size: smaller;"' : '', '>';

	// Each tree item has a URL and name.  Some may have extra_before and extra_after.
	foreach ($context['linktree'] as $link_num => $tree)
	{
		// Show the | | |-[] Folders.
		if (!$settings['linktree_inline'])
		{
			if ($link_num > 0)
				echo str_repeat('<img src="' . $settings['images_url'] . '/icons/linktree_main.gif" alt="| " border="0" />', $link_num - 1), '<img src="' . $settings['images_url'] . '/icons/linktree_side.gif" alt="|-" border="0" />';
			echo '<img src="' . $settings['images_url'] . '/icons/folder_open.gif" alt="+" border="0" />&nbsp; ';
		}

		// Show something before the link?
		if (isset($tree['extra_before']))
			echo $tree['extra_before'];

		// Show the link, including a URL if it should have one.
		echo '<strong>', $settings['linktree_link'] && isset($tree['url']) ? '<a href="' . $tree['url'] . '" class="nav">' . $tree['name'] . '</a>' : $tree['name'], '</strong>';

		// Show something after the link...?
		if (isset($tree['extra_after']))
			echo $tree['extra_after'];

		// Don't show a separator for the last one.
		if ($link_num != count($context['linktree']) - 1)
			echo $settings['linktree_inline'] ? ' &nbsp;|&nbsp; ' : '<br />';
	}

	echo '</span>';
}

// Show the menu up top.  Something like [home] [help] [profile] [logout]...
function template_menu()
{
	global $context, $settings, $options, $scripturl, $txt, $modSettings;

	// Show the [home] and [help] buttons.
	echo '
				<a href="', $scripturl, '">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/home.gif" alt="' . $txt[103] . '" style="margin: 2px 0;" border="0" />' : $txt[103]), '</a>', $context['menu_separator'], '
				<a href="', $scripturl, '?action=help" target="_blank">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/help.gif" alt="' . $txt[119] . '" style="margin: 2px 0;" border="0" />' : $txt[119]), '</a>', $context['menu_separator'];

	// How about the [search] button?
	if ($context['allow_search'])
		echo '
				<a href="', $scripturl, '?action=search">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/search.gif" alt="' . $txt[182] . '" style="margin: 2px 0;" border="0" />' : $txt[182]), '</a>', $context['menu_separator'];

	// Is the user allowed to administrate at all? ([admin])
	if ($context['allow_admin'])
		echo '
				<a href="', $scripturl, '?action=admin">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/admin.gif" alt="' . $txt[2] . '" style="margin: 2px 0;" border="0" />' : $txt[2]), '</a>', $context['menu_separator'];

	// Edit Profile... [profile]
	if ($context['allow_edit_profile'])
		echo '
				<a href="', $scripturl, '?action=profile">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/profile.gif" alt="' . $txt[79] . '" style="margin: 2px 0;" border="0" />' : $txt[467]), '</a>', $context['menu_separator'];

	// The [calendar]!
	if ($context['allow_calendar'])
		echo '
				<a href="', $scripturl, '?action=calendar">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/calendar.gif" alt="' . $txt['calendar24'] . '" style="margin: 2px 0;" border="0" />' : $txt['calendar24']), '</a>', $context['menu_separator'];

	// Google Maps Mod
	if (($modSettings['googleMapsEnable']) && (allowedTo('googleMap_view')))
		echo '
				<a href="', $scripturl, '?action=googlemap">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/googlemap.gif" alt="Google Map" style="margin: 2px 0;" border="0" />' : 'Google Map'), '</a>', $context['menu_separator'];

	// If the user is a guest, show [login] and [register] buttons.
	if ($context['user']['is_guest'])
	{
		echo '
				<a href="', $scripturl, '?action=login">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/login.gif" alt="' . $txt[34] . '" style="margin: 2px 0;" border="0" />' : $txt[34]), '</a>', $context['menu_separator'], '
				<a href="', $scripturl, '?action=register">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/register.gif" alt="' . $txt[97] . '" style="margin: 2px 0;" border="0" />' : $txt[97]), '</a>';
	}
	// Otherwise, they might want to [logout]...
	else
		echo '
				<a href="', $scripturl, '?action=logout;sesc=', $context['session_id'], '">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/logout.gif" alt="' . $txt[108] . '" style="margin: 2px 0;" border="0" />' : $txt[108]), '</a>';
}
